package com.ycwl.basic.image.pipeline.stages;

import com.ycwl.basic.image.pipeline.core.PhotoProcessContext;
import com.ycwl.basic.pipeline.core.AbstractPipelineStage;
import com.ycwl.basic.pipeline.core.StageResult;

public class NoOpStage extends AbstractPipelineStage<PhotoProcessContext> {
    @Override
    protected StageResult<PhotoProcessContext> doExecute(PhotoProcessContext context) {
        return StageResult.skipped("无操作");
    }

    @Override
    public String getName() {
        return "NoOpStage";
    }
}
